Bug 118919 - some beforeDelete observers aren't called when a ContentBundle is deleted
Summary: some beforeDelete observers aren't called when a ContentBundle is deleted
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL: https://www.redhat.com/archives/redha...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-22 20:05 UTC by Vadim Nasardinov
Modified: 2007-04-18 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:36:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vadim Nasardinov 2004-03-22 20:05:38 UTC
To lift a quote from
https://www.redhat.com/archives/redhat-ccm-list/2004-March/msg00057.html

    When deleting an item from the FolderBrowser "delete" link, the
    item being deleted is a ContentBundle, therefore all instances are
    deleted by persistence automagically. However, there is only one
    problem, observers are not run because the domain objects for the
    instances are not instantiated.

Comment 1 Vadim Nasardinov 2004-03-22 20:12:33 UTC
Fixed on the trunk in change 41632.


Comment 2 Vadim Nasardinov 2004-03-24 13:32:18 UTC
When backported to Troika, this also fixes bug 116010 (see comment #12).

Comment 3 David Lawrence 2006-07-18 03:32:22 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Jon Orris 2006-09-05 17:36:14 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.